Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_List_Iterator_T Class Template Reference

Iterates over an . More...

`#include <Timer_List_T.h>`

Inheritance diagram for ACE_Timer_List_Iterator_T

[legend]
Collaboration diagram for ACE_Timer_List_Iterator_T:

[legend]
List of all members.

## Public Methods
| ACE_Timer_List_Iterator_T (ACE_Timer_List_T<TYPE, FUNCTOR, ACE_LOCK> &)
| Constructor.
| ~ACE_Timer_List_Iterator_T (void)
| Destructor.
virtual void | first (void)
| Positions the iterator at the earliest node in the Timer Queue.
virtual void | next (void)
| Positions the iterator at the next node in the Timer Queue.
virtual int | isdone (void) const
| Returns true when there are no more nodes in the sequence.
virtual ACE_Timer_Node_T<TYPE>* | item (void)
| Returns the node at the current position in the sequence.
## Protected Attributes
ACE_Timer_List_T<TYPE, FUNCTOR, ACE_LOCK>& | timer_list_
| Pointer to the that we are iterating over.
ACE_Timer_Node_T<TYPE>* | position_

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK> template class ACE_Timer_List_Iterator_T

Iterates over an .

This is a generic iterator that can be used to visit every node of a timer queue.

## Constructor & Destructor Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK> ( | ACE_Timer_List_T< TYPE,FUNCTOR,ACE_LOCK >& timer_list )`[inline]`

| Constructor.

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::~ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK> ( | void )

| Destructor.

## Member Function Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
void ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::first ( | void )`[virtual]`

| Positions the iterator at the earliest node in the Timer Queue. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<classTYPE, classFUNCTOR, classACE_LOCK>
int ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::isdone ( | void ) const`[virtual]`

| Returns true when there are no more nodes in the sequence. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Node_T< TYPE >* ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::item ( | void )`[virtual]`

| Returns the node at the current position in the sequence. Reimplemented from ACE_Timer_Queue_Iterator_T.

template<classTYPE, classFUNCTOR, classACE_LOCK>
void ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::next ( | void )`[virtual]`

| Positions the iterator at the next node in the Timer Queue. Reimplemented from ACE_Timer_Queue_Iterator_T.

## Member Data Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Node_T< TYPE >* ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::position_`[protected]`

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_List_T< TYPE,FUNCTOR,ACE_LOCK >& ACE_Timer_List_Iterator_T<TYPE, FUNCTOR, ACE_LOCK>::timer_list_`[protected]`

| Pointer to the that we are iterating over.

The documentation for this class was generated from the following files:

- Timer_List_T.h
- Timer_List_T.cpp